import { FluidType } from 'enums'
import { mount } from 'enzyme'
import React from 'react'
import IncompleteDataWarning from './IncompleteDataWarning'

describe('IncompleteDataWarning', () => {
  it('renders component correctly', () => {
    const incompleteFluidTypes = [FluidType.ELECTRICITY, FluidType.GAS]
    const wrapper = mount(
      <IncompleteDataWarning incompleteDataFluids={incompleteFluidTypes} />
    )
    expect(wrapper.find('h1').text()).toBe('analysis.warning_title')
    expect(wrapper.find('p').text()).toBe('analysis.warning_text')
  })
})
