import Button from '@material-ui/core/Button'
import Dialog from '@material-ui/core/Dialog'
import { mount } from 'enzyme'
import React from 'react'
import NoAnalysisModal from './NoAnalysisModal'

describe('NoAnalysisModal component', () => {
  it('should be rendered correctly', () => {
    const wrapper = mount(<NoAnalysisModal open={true} onClose={jest.fn()} />)
    expect(wrapper.find(Dialog).exists()).toBeTruthy()
    expect(wrapper.find(Button).exists()).toBeTruthy()
  })
})
