import { scaleLinear } from 'd3'
import { FluidType } from 'enums'
import { mount } from 'enzyme'
import React from 'react'
import AxisRight from './AxisRight'

const mockProps = {
  yScale: scaleLinear(),
  fluidType: FluidType.ELECTRICITY,
  width: 40,
  marginRight: 5,
  marginTop: 5,
}

describe('AxisRight component test', () => {
  it('should render correctly AxisRight', () => {
    const wrapper = mount(
      <svg>
        <AxisRight {...mockProps} />
      </svg>
    )
    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
