import GrdfIcon from 'assets/icons/visu/onboarding/grdf.svg'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import Icon from 'cozy-ui/transpiled/react/Icon'
import React from 'react'
import './stepDetail.scss'

const GrdfCreateAccount = () => {
  const { t } = useI18n()

  return (
    <div className="step-detail-info">
      <Icon className="info-icon" icon={GrdfIcon} size={220} />
      <div className="info-content text-18-normal">
        <div
          className="info-content-text"
          dangerouslySetInnerHTML={{
            __html: t('auth.grdfgrandlyon.step2.info1'),
          }}
        />
      </div>
    </div>
  )
}

export default GrdfCreateAccount
