import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import { waitForComponentToPaint } from 'tests/__mocks__/testUtils'
import LastDuelModal from './lastDuelModal'

describe('lastDuelModal component', () => {
  it('should render correctly', async () => {
    const wrapper = mount(
      <LastDuelModal open={true} handleCloseClick={jest.fn()} />
    )
    await waitForComponentToPaint(wrapper)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
