import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import EcogestureReinitModal from './EcogestureReinitModal'

describe('EcogestureReinitModal component', () => {
  it('should be rendered correctly', async () => {
    const wrapper = mount(
      <EcogestureReinitModal
        open={true}
        handleCloseClick={jest.fn()}
        handleLaunchReinit={jest.fn()}
      />
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
