import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import ExportData from './ExportData'

jest.mock('services/consumption.service', () => {
  return jest.fn(() => ({
    fetchAllFirstDateData: jest.fn(() => [null, null, null]),
    getFluidsWithData: jest.fn(() => []),
  }))
})

describe('exportOptions component', () => {
  it('should be rendered correctly', async () => {
    const wrapper = mount(<ExportData />)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
