import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import { InitSteps } from 'models/initialisationSteps.model'
import React from 'react'
import SplashScreen from './SplashScreen'

describe('SplashScreen component', () => {
  it('should be rendered correctly', () => {
    const component = mount(<SplashScreen initStep={InitSteps.CONSENT} />)
    expect(toJson(component)).toMatchSnapshot()
  })
})
