import { TimeStep } from 'enums'
import { DateTime } from 'luxon'
import { ChartState } from 'models'

export const mockChartState: ChartState = {
  selectedDate: DateTime.local().endOf('minute').setZone('utc', {
    keepLocalTime: true,
  }),
  currentTimeStep: TimeStep.WEEK,
  currentIndex: 0,
  currentDatachart: { actualData: [], comparisonData: null },
  currentDatachartIndex: 0,
  loading: true,
  showCompare: false,
  showOfflineData: false,
}
